#!/bin/bash
USER_APACHE=apache
DIR_TMP=/tmp/degs
DIR_INSTALL=/var/fileconveyor
pushd `dirname $0` > /dev/null
ABSOLUTE_PATH=`pwd -P`
popd > /dev/null

if [ "$(id -u)" != "0" ]; then
   echo "This script must be run as root" 1>&2
   exit 1
fi
if ! command -v pip >/dev/null; then 
    echo "pip not avilable. Please install it." >&2
    exit 1
fi


mkdir -p $DIR_TMP
cd $DIR_TMP
pip install -e git+https://github.com/wimleers/fileconveyor@master#egg=fileconveyor


#setup the infrastructure
#for the unix-like framework.
mkdir -p /var/run/fileconveyor
chown $USER_APACHE /var/run/fileconveyor
chmod 700 /var/run/fileconveyor

#move over the files
echo "setting up fileconveyor in $DIR_INSTALL"
mkdir -p $DIR_INSTALL
chmod 700 $DIR_INSTALL
mv $DIR_TMP/src/fileconveyor/fileconveyor $DIR_INSTALL
chown -R $USER_APACHE $DIR_INSTALL

#copy the config files over
cp $ABSOLUTE_PATH/settings.py $DIR_INSTALL/fileconveyor/.
cp $ABSOLUTE_PATH/config.xml $DIR_INSTALL/fileconveyor/.
cp $ABSOLUTE_PATH/fileconveyor.sh $DIR_INSTALL/.
chown $USER_APACHE:$USER_APACHE $DIR_INSTALL/fileconveyor.sh
chmod 4755 $DIR_INSTALL/fileconveyor.sh